Pass --legacy to aapt2 compile for DownloadProvider

This module produces warnings that are treated as errors if --legacy
is not passed.  --legacy is no longer being passed by default, so
add it here.

Bug: 135597368
Test: m java
Change-Id: I7a2954fbbc9cf14d6ea293051737c0adde112502
Merged-In: Ib887cf802f411e7ebef119f39a7faedadc6a2f6f
1 file changed